# Uses of Class
org.opensaml.profile.testing.RequestContextBuilder

Packages that use RequestContextBuilder
Package
Description
org.opensaml.profile.testing

## Uses of RequestContextBuilder in org.opensaml.profile.testing

Methods in org.opensaml.profile.testing that return RequestContextBuilder
Modifier and Type
Method
Description
`RequestContextBuilder`
RequestContextBuilder.`setInboundMessage(Object message)`
Sets the inbound message.
`RequestContextBuilder`
RequestContextBuilder.`setInboundMessageId(String id)`
Sets the ID of the inbound message.
`RequestContextBuilder`
RequestContextBuilder.`setInboundMessageIssueInstant(Instant instant)`
Sets the issue instant of the inbound message.
`RequestContextBuilder`
RequestContextBuilder.`setInboundMessageIssuer(String issuer)`
Sets the issuer of the inbound message.
`RequestContextBuilder`
RequestContextBuilder.`setOutboundMessage(Object message)`
Sets the outbound message.
`RequestContextBuilder`
RequestContextBuilder.`setOutboundMessageId(String id)`
Sets the ID of the outbound message.
`RequestContextBuilder`
RequestContextBuilder.`setOutboundMessageIssueInstant(Instant instant)`
Sets the issue instant of the outbound message.
`RequestContextBuilder`
RequestContextBuilder.`setOutboundMessageIssuer(String issuer)`
Sets the issuer of the outbound message.
Constructors in org.opensaml.profile.testing with parameters of type RequestContextBuilder
Modifier
Constructor
Description
``
`RequestContextBuilder(RequestContextBuilder prototype)`
Constructor.